[Skiboot] [PATCH v2 2/9] ci: Disable GCOV builds in ubuntu-latest

Joel Stanley joel at jms.id.au
Wed Dec 12 16:02:51 AEDT 2018


They are known to be broken with GCC 8.2:

 https://github.com/open-power/skiboot/issues/206

Signed-off-by: Joel Stanley <joel at jms.id.au>
---
 opal-ci/build-ubuntu-latest.sh | 37 +++++++++++++++++++++++++++++++++-
 1 file changed, 36 insertions(+), 1 deletion(-)
 mode change 120000 => 100755 opal-ci/build-ubuntu-latest.sh

diff --git a/opal-ci/build-ubuntu-latest.sh b/opal-ci/build-ubuntu-latest.sh
deleted file mode 120000
index d8840a9c9d37..000000000000
--- a/opal-ci/build-ubuntu-latest.sh
+++ /dev/null
@@ -1 +0,0 @@
-build-ubuntu-18.04.sh
\ No newline at end of file
diff --git a/opal-ci/build-ubuntu-latest.sh b/opal-ci/build-ubuntu-latest.sh
new file mode 100755
index 000000000000..1b79b4656f78
--- /dev/null
+++ b/opal-ci/build-ubuntu-latest.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+set -uo pipefail
+set -e
+set -vx
+
+MAKE_J=$(nproc)
+
+export CROSS="ccache powerpc64le-linux-gnu-"
+
+make -j${MAKE_J} all
+./opal-ci/fetch-debian-jessie-installer.sh
+make -j${MAKE_J} check
+(make clean; cd external/gard && CROSS= make -j${MAKE_J})
+( cd external/pflash;
+  echo "Building for ARM..."
+  make clean && make distclean
+  CROSS_COMPILE=arm-linux-gnueabi-  make || { echo "ARM build failed"; exit 1; }
+)
+(cd external/pflash; make clean && make distclean && make)
+# GCOV build disabled for GCC 8.2
+# https://github.com/open-power/skiboot/issues/206
+# make clean
+# SKIBOOT_GCOV=1 make -j${MAKE_J}
+# SKIBOOT_GCOV=1 make -j${MAKE_J} check
+
+make clean
+rm -rf builddir
+mkdir builddir
+make SRC=$(pwd) -f ../Makefile -C builddir -j${MAKE_J}
+make clean
+
+echo "Building with clang..."
+make clean
+make -j${MAKE_J} CC=clang
+make -j${MAKE_J} CC=clang check
-- 
2.19.1



More information about the Skiboot mailing list